# $Id: perl-POE-Component-Server-Echo.spec 6317 2008-05-14 03:14:18Z dag $
# Authority: dries
# Upstream: Chris Williams <chris$bingosnet,co,uk>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name POE-Component-Server-Echo

Summary: POE component that implements an RFC 862 Echo server
Name: perl-POE-Component-Server-Echo
Version: 1.60
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/POE-Component-Server-Echo/

Source: http://www.cpan.org/modules/by-module/POE/POE-Component-Server-Echo-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.47

%description
A POE component that implements a RFC 862 Echo server.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README examples/
%doc %{_mandir}/man3/POE::Component::Server::Echo.3pm*
%dir %{perl_vendorlib}/POE/
%dir %{perl_vendorlib}/POE/Component/
%dir %{perl_vendorlib}/POE/Component/Server/
%{perl_vendorlib}/POE/Component/Server/Echo.pm

%changelog
* Wed May 14 2008 Dag Wieers <dag@wieers.com> - 1.60-1 #6317
- Updated to release 1.60.

* Wed Jan 23 2008 Dag Wieers <dag@wieers.com> - 1.58-1
- Updated to release 1.58.

* Sun Nov 18 2007 Dag Wieers <dag@wieers.com> - 1.54-1
- Updated to release 1.54.

* Thu Jul 5 2007 Quien Sabe (aka Jim) <quien-sabe@metaorg.com> - 1.51-1
- Updated to latest upstream version { old source not available }

* Tue Sep 26 2006 Dries Verachtert <dries@ulyssis.org> - 1.4-1
- Updated to release 1.4.

* Tue Sep 19 2006 Dries Verachtert <dries@ulyssis.org> - 1.2-1
- Initial package.
